package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 操作类型 用于区别增删改操作
 *
 * @author: hzs
 */
@AllArgsConstructor
@Getter
public enum EControlType {

    /**
     * 新增
     */
    SAVE(1, "新增", EnumsPrefixConstants.CONTROL_TYPE + "1" ),

    /**
     * 修改
     */
    MODIFY(2, "修改", EnumsPrefixConstants.CONTROL_TYPE + "2" ),

    /**
     * 删除
     */
    DELETE(3, "删除", EnumsPrefixConstants.CONTROL_TYPE + "3"),
    /**
     * 复制
     */
    COPY(4, "复制", EnumsPrefixConstants.CONTROL_TYPE + "4")

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 国际化翻译key值
     */
    private final String key;


}
